Usage

### Tips to get the most from FireWallet

1.

##### Use the Import button on the Batch Window

This importing is one of the most powerful batching functions of the wallet. You can import a plaintext list of domain (each domain on a new line) to create a batch with them.
Or you can create a CSV file like this example to autofill your batch settings

2.

##### Find something strange?
Look at the logs

If you have found a bug the log.txt file could help find the solution. This file is %appdata%/FireWallet/log.txt

Settings

### Settings

%appdata%/FireWallet/settings.txt
1.

##### Add a custom block explorer

Choose the explorer you prefer to use for each type of lookup (transactions, addresses, etc).
Make sure the

`explorer-tx: https://niami.io/tx/
explorer-addr: https://niami.io/address/
explorer-block: https://niami.io/block/
explorer-domain: https://niami.io/domain/`
2.

##### Set how many confirmations
to count a transaction verified

You can choose how many confirmations are needed before a transactions is no longer marked as pending

`confirmations: 1`
3.

##### Set how many TXs you want on your portfolio

You can choose if you want a few or a lot of TXs to show on your portfolio. The more TXs that show the slower the portfolio will load.

`portfolio-tx: 20`

Settings

### Node Settings

%appdata%/FireWallet/node.txt
1.

##### Connect to a remote Node

You can run FireWallet on a different computer to the one running HSD. This can be useful if you already have an always on node.

`IP: 127.0.0.1`
2.

##### Set the Network

You can test FireWallet on a local test Handshake chain. Just set Network to 1

`Network: 0`
3.

##### Change your HSD API key

Forgotten your key? Or accidentally leaked it online? You can change it to anything you want here. Make sure you only use letters and numbers, no spaces or weird characters.

`Key: my-secret-api-key`
4.

##### Run HSD inside FireWallet

You can enable and disable the internal HSD node. This allows you to disable it if you are running Bob already.

`HSD: True
HSD: False`

Settings

### Theme Settings

%appdata%/FireWallet/theme.txt
1.

##### Change the main colours

The main apps colours are set using these settings. Make sure you set them in hex starting with #

`background: #000000
foreground: #8e05c2
background-alt: #3e065f
foreground-alt: #ffffff`
2.

##### Enable transparency

You can add transparency to FireWallet. Choose mica, percent or key transparency mode. Mica mimics the windows 10/11 apps. Percent sets the opacity of everything. Key allows you to set any 1 hex to transparent.

`transparent-mode: off
transparency-key: #000000
transparency-percent: 90`

Need Help?

##### Just ask Nathan.Woodburn/ in any Handshake chat or join the discord server.
https://l.woodburn/discord